Subject: Re: [PATCH 1/7] receive-pack.c: add protocol support to negotiate atomic-push

From: Michael Haggerty <[email-masked]>
Date: Wed, 24 Dec 2014 08:33:32 +0100

On 12/19/2014 08:38 PM, Stefan Beller wrote:
> From: Ronnie Sahlberg <[email-masked]>
> 
> This adds support to the protocol between send-pack and receive-pack to
> * allow receive-pack to inform the client that it has atomic push capability
> * allow send-pack to request atomic push back.
> 
> There is currently no setting in send-pack to actually request that atomic
> pushes are to be used yet. This only adds protocol capability not ability
> for the user to activate it.

Sorry to jump in so late...

If I understand correctly, after this patch the server advertises the
"atomic" capability even though it doesn't actually have that ability
until a later patch. It seems to me that the order of the patches should
be reversed: don't advertise the capability before it is actually
implemented. Why? Bisection. Between the two patches the server is buggy.

Michael

-- 
Michael Haggerty
[email-masked]